libkmlconvenience1_1.3.0-7_i386.deb


Advertisement

Description

libkmlconvenience1 - Library to manipulate KML 2.2 OGC standard files - libkmlconvenience

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libkmlconvenience1_1.3.0-7_i386.deb
Package name libkmlconvenience1
Package version 1.3.0
Package release 7
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://github.com/libkml/libkml
License -
Maintainer Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Download size 52.97 KB
Installed size 174.00 KB
This is a library for use with applications that want to parse,
generate and operate on KML, a geo-data XML variant. It is an
implementation of the OGC KML 2.2 standard. It is written in C++ and
bindings are available via SWIG to Java and Python.
This package contains the libkmlconvenience shared library.

Alternatives

Package Version Architecture Repository
libkmlconvenience1_1.3.0-7_amd64.deb 1.3.0 amd64 Debian Main
libkmlconvenience1 - - -

Requires

Name Value
libc6 >= 2.4
libexpat1 >= 2.0.1
libgcc1 >= 1:3.0
libkmlbase1 >= 1.3.0~r864
libkmldom1 >= 1.3.0~r864
libkmlengine1 >= 1.3.0~r864
libminizip1 >= 1.1
libstdc++6 >= 5.2
liburiparser1 >= 0.6.0
zlib1g >= 1:1.1.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libkmlconvenience1_1.3.0-7_i386.deb
Source Package libkml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkmlconvenience1 deb package:
    # sudo apt-get install libkmlconvenience1

Files

Path
/usr/lib/i386-linux-gnu/libkmlconvenience.so.1
/usr/lib/i386-linux-gnu/libkmlconvenience.so.1.3.0
/usr/share/doc/libkmlconvenience1/README.md
/usr/share/doc/libkmlconvenience1/changelog.Debian.gz
/usr/share/doc/libkmlconvenience1/changelog.gz
/usr/share/doc/libkmlconvenience1/copyright

Changelog

2018-07-31 - Bas Couwenberg <sebastic@debian.org>
libkml (1.3.0-7) unstable; urgency=medium
* Drop autopkgtest to test installability.
* Add lintian override for testsuite-autopkgtest-missing.
* Add patch to fix wrong-path-for-interpreter lintian issue.
2018-07-20 - Bas Couwenberg <sebastic@debian.org>
libkml (1.3.0-6) unstable; urgency=medium
* Strip trailing whitespace from changelog, control & rules files.
* Update copyright-format URL to use HTTPS.
* Fix deprecated source override location.
* Update Vcs-* URLs for Salsa.
* Bump Standards-Version to 4.1.5, no changes.
* Drop obsolete get-orig-source target.
* Drop ancient X-Python-Version field.
* Update symbols for amd64.
* Add lintian override for bad-jar-name.
* Add upstream metadata.
2017-09-25 - Bas Couwenberg <sebastic@debian.org>
libkml (1.3.0-5) unstable; urgency=medium
* Apply patch by Chris Lamb to fix find call.
(closes: #876721)
* Bump Standards-Version to 4.1.0, no changes.
* Add lintian override for python-foo-but-no-python3-foo.
2017-06-25 - Bas Couwenberg <sebastic@debian.org>
libkml (1.3.0-4) unstable; urgency=medium
* Bump Standards-Version to 4.0.0, no changes.
* Add autopkgtest to test installability.
* Enable PIE hardening buildflags.
* Use pkg-info.mk variables instead of dpkg-parsechangelog output.
* Update symbols for other architectures.
2016-08-25 - Bas Couwenberg <sebastic@debian.org>
libkml (1.3.0-3) unstable; urgency=medium
* Fix typo in dh_python2 override.
* Drop unused override for incompatible-java-bytecode-format.
2016-04-17 - Bas Couwenberg <sebastic@debian.org>
libkml (1.3.0-2) unstable; urgency=medium
* Bump Standards-Version to 3.9.8, no changes.
* Enable bindnow hardening buildflags.
* Add lintian override for incompatible-java-bytecode-format.
2015-12-24 - Bas Couwenberg <sebastic@debian.org>
libkml (1.3.0-1) unstable; urgency=medium
* Update symbols for other architectures.
* Move from experimental to unstable.
2015-12-23 - Bas Couwenberg <sebastic@debian.org>
libkml (1.3.0-1~exp1) experimental; urgency=medium
* New upstream release.
* Include CMake files in libkml-dev.
* Update symbols for amd64.
2015-12-03 - Bas Couwenberg <sebastic@debian.org>
libkml (1.3.0~rc2-2) unstable; urgency=medium
* Update symbols for other architectures.
2015-12-03 - Bas Couwenberg <sebastic@debian.org>
libkml (1.3.0~rc2-1) unstable; urgency=medium
* Update symbols for other architectures.
* Move from experimental to unstable.

See Also

Package Description
libkmldom1_1.3.0-7_i386.deb Library to manipulate KML 2.2 OGC standard files - libkmldom
libkmlengine1_1.3.0-7_i386.deb Library to manipulate KML 2.2 OGC standard files - libkmlengine
libkmlframework-java_0.0.git20150825.a2e0518-1_i386.deb library/framework for generating Google Earth KML
libkmlregionator1_1.3.0-7_i386.deb Library to manipulate KML 2.2 OGC standard files - libkmlregionator
libkmlxsd1_1.3.0-7_i386.deb Library to manipulate KML 2.2 OGC standard files - libkmlxsd
libkmnkbp-dev_11.0.101-2_i386.deb Development files for Keyman keyboard processing library
libkmnkbp0-0_11.0.101-2_i386.deb Keyman keyboard processing library
libkmod-dev_26-1_i386.deb libkmod development files
libkmod2_26-1_i386.deb libkmod shared library
libknet-dev_1.8-2_i386.deb kronosnet core switching implementation (developer files)
libknet-doc_1.8-2_all.deb kronosnet core API documentation
libknet1_1.8-2_i386.deb kronosnet core switching implementation
libknewstuff2-4_4.14.38-3_i386.deb "Get Hot New Stuff" v2 Library for the KDE Platform
libknewstuff3-4_4.14.38-3_i386.deb "Get Hot New Stuff" v3 Library for the KDE Platform
libknopflerfish-osgi-framework-java_6.1.1-3_all.deb Java framework implementing the OSGi R6 version
Advertisement
Advertisement